## python-pyscss 1.3.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build2
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyScss.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyScss.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyScss"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyScss"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-pyscss 1.1.5

=== debian/changelog ===
python-pyscss (1.1.5-1) unstable; urgency=low

  * initial release (Closes: #705735)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 21 Apr 2013 17:40:59 +0000

=== debian/control ===
Source: python-pyscss
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper,
	debhelper (>= 9.20120909~),
	python,
	python-setuptools,
	python-all-dev,
	libpcre3-dev,
	xsltproc,
	docbook-xsl
Standards-Version: 3.9.3.1
Homepage: https://github.com/Kronuz/pyScss
Vcs-Git: git://git.debian.org/collab-maint/python-pyscss.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pyscss.git;a=summary

Package: python-pyscss
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Description: SCSS compiler for python
 pyScss compiles Scss (Sass), a superset of CSS that is more
 powerful, elegant and easier to maintain than plain-vanilla
 CSS. The library acts as a CSS source code preprocesor which
 allows you to use variables, nested rules, mixins, and have
 inheritance of rules, all with a CSS-compatible syntax which
 the preprocessor then compiles to standard CSS.

=== debian/rules ===
#!/usr/bin/make -f

MANPAGE=pyscss.1
DB2MAN=http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
XP=xsltproc --nonet --novalid

%:
	dh $@ --with python2

override_dh_install: $(MANPAGE)
	dh_install

%.1: debian/%.dbk
	$(XP) $(DB2MAN) $<

override_dh_clean:
	dh_clean
	rm -f $(MANPAGE)

## python-pyscss 1.2.0.post3

=== debian/changelog ===
python-pyscss (1.2.0.post3-2) unstable; urgency=medium

  * Fixed non ascii char in README.rst which produced an FTBFS.
  * Added python-six / python3-six as build-depends (needed by setup.py).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Jun 2014 06:51:52 +0000

python-pyscss (1.2.0.post3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #738776).
  * Added a debian/gbp.conf.
  * Added missing ${python:Depends}
  * Added Python 3 support.
  * Removed duplicate debhelper build-depends.
  * Cannonical VCS URLs.
  * Standards-Version: is now 3.9.5.
  * Added a watch file.
  * override dh helpers which the package doesn't use.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Jun 2014 12:10:36 +0000

=== debian/control ===
Source: python-pyscss
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 9.20120909~),
               docbook-xsl,
               libpcre3-dev,
               python (>= 2.6.6-3~),
               python-all-dev,
               python-setuptools,
               python-six,
               python3-all-dev,
               python3-setuptools,
               python3-six,
               xsltproc
Standards-Version: 3.9.5
Homepage: https://github.com/Kronuz/pyScss
Vcs-Git: git://anonscm.debian.org/collab-maint/python-pyscss.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-pyscss.git;a=summary

Package: python-pyscss
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: SCSS compiler - Python 2.x
 pyScss compiles Scss (Sass), a superset of CSS that is more
 powerful, elegant and easier to maintain than plain-vanilla
 CSS. The library acts as a CSS source code preprocesor which
 allows you to use variables, nested rules, mixins, and have
 inheritance of rules, all with a CSS-compatible syntax which
 the preprocessor then compiles to standard CSS.
 .
 This package provides the Python 2.x module.

Package: python3-pyscss
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: SCSS compiler - Python 3.x
 pyScss compiles Scss (Sass), a superset of CSS that is more
 powerful, elegant and easier to maintain than plain-vanilla
 CSS. The library acts as a CSS source code preprocesor which
 allows you to use variables, nested rules, mixins, and have
 inheritance of rules, all with a CSS-compatible syntax which
 the preprocessor then compiles to standard CSS.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

MANPAGE=pyscss.1
DB2MAN=http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
XP=xsltproc --nonet --novalid

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install: $(MANPAGE)
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-pyscss; \
	done
	mv $(CURDIR)/debian/python-pyscss/usr/bin/pyscss $(CURDIR)/debian/python-pyscss/usr/bin/python2-pyscss
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-pyscss; \
	done
	mv $(CURDIR)/debian/python3-pyscss/usr/bin/pyscss $(CURDIR)/debian/python3-pyscss/usr/bin/python3-pyscss

%.1: debian/%.dbk
	$(XP) $(DB2MAN) $<

override_dh_clean:
	dh_clean
	rm -f $(MANPAGE)
	rm -rf build
	find . -iname '*.pyc' -delete

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-pyscss 1.2.1

=== debian/changelog ===
python-pyscss (1.2.1-4) unstable; urgency=medium

  * Add python{3,}-{pytest,pil} to Build-Depends.
  * Run unit tests (only in Python 2.7).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2014 06:20:43 +0000

python-pyscss (1.2.1-3) unstable; urgency=medium

  * Updated the Python3 fixup patch, using upstream commit (Closes: #761198).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2014 14:14:54 +0800

python-pyscss (1.2.1-2) unstable; urgency=medium

  * Fix the python 3.2 patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2014 07:39:21 +0000

python-pyscss (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Added myself as uploader.
  * Document upstream git repository in debian/rules, and add optional
    include of /usr/share/openstack-pkg-tools/pkgos.make, to be able to
    maintain/use it.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in d/source/options.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2014 00:06:12 +0800

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,20 @@
 Section: python
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: W. Martin Borgert <debacle@debian.org>
+Uploaders: W. Martin Borgert <debacle@debian.org>,
+           Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9.20120909~),
                docbook-xsl,
                libpcre3-dev,
                python (>= 2.6.6-3~),
                python-all-dev,
+               python-pil,
+               python-pytest,
                python-setuptools,
                python-six,
                python3-all-dev,
+               python3-pil,
+               python3-pytest,
                python3-setuptools,
                python3-six,
                xsltproc

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
+
+UPSTREAM_GIT = git://github.com/Kronuz/pyScss.git
+-include /usr/share/openstack-pkg-tools/pkgos.make
 
 MANPAGE=pyscss.1
 DB2MAN=http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
@@ -31,6 +34,13 @@
 	rm -rf build
 	find . -iname '*.pyc' -delete
 
+override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	set -e ; for pyvers in 2.7 ; do \
+		py.test-$$pyvers ; \
+	done
+endif
+
 # Commands not to run
 override_dh_installcatalogs:
 override_dh_installemacsen override_dh_installifupdown:

## python-pyscss 1.3.4

=== debian/changelog ===
python-pyscss (1.3.4-5) unstable; urgency=medium

  * Team upload.
  * Don't hard-code the python versions used in build to prevent FTBFS once
    python3.4 is dropped from supported versions (Closes: #811493)
    - Thanks to Matthias Klose for the patch
  * Adjust debian/rules not to depend on pytest entry points for all supported
    python/python3 versions

 -- Scott Kitterman <scott@kitterman.com>  Tue, 19 Jan 2016 08:56:08 -0500

python-pyscss (1.3.4-4) unstable; urgency=low

  * use pybuild instead of python_distutils

 -- W. Martin Borgert <debacle@debian.org>  Tue, 18 Aug 2015 17:11:33 +0000

python-pyscss (1.3.4-3) unstable; urgency=low

  * Added alternative for man page.

 -- W. Martin Borgert <debacle@debian.org>  Tue, 18 Aug 2015 11:12:27 +0000

python-pyscss (1.3.4-2) unstable; urgency=medium

  * Add python-enum34 build-dep (Closes: #795521). Thanks Chris Lamb!
  * Re-add missing manual page.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 14 Aug 2015 23:02:06 +0000

python-pyscss (1.3.4-1) unstable; urgency=medium

  * New upstream version.
  * Add missing build-deps python-pathlib and dh-python.
  * Run unittests for Python 2.7 and 3.4.
  * Removed obsolete patches python3-fixup and python-3.2-six.u.
  * Lintian: Removed *.postrm.
  * New standards version 3.9.6, no changes.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 31 Jul 2015 23:33:35 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,13 @@
 Uploaders: W. Martin Borgert <debacle@debian.org>,
            Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9.20120909~),
+               dh-python,
                docbook-xsl,
                libpcre3-dev,
                python (>= 2.6.6-3~),
                python-all-dev,
+               python-enum34,
+               python-pathlib,
                python-pil,
                python-pytest,
                python-setuptools,
@@ -19,10 +22,10 @@
                python3-setuptools,
                python3-six,
                xsltproc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/Kronuz/pyScss
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-pyscss.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-pyscss.git;a=summary
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pyscss.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pyscss.git
 
 Package: python-pyscss
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/Kronuz/pyScss.git
-include /usr/share/openstack-pkg-tools/pkgos.make

MANPAGES=python2-pyscss.1 python3-pyscss.1
DB2MAN=http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
XP=xsltproc --nonet --novalid

export PYBUILD_NAME=pyscss

%:
	dh $@ --buildsystem=pybuild --with python2,python3

override_dh_install: $(MANPAGES)
	dh_install -ppython-pyscss
	mv $(CURDIR)/debian/python-pyscss/usr/bin/pyscss $(CURDIR)/debian/python-pyscss/usr/bin/python2-pyscss
	dh_install -ppython3-pyscss
	mv $(CURDIR)/debian/python3-pyscss/usr/bin/pyscss $(CURDIR)/debian/python3-pyscss/usr/bin/python3-pyscss

$(MANPAGES): debian/pyscss.dbk
	$(XP) $(DB2MAN) $< && mv pyscss.1 $@

override_dh_clean:
	dh_clean
	rm -f $(MANPAGES)
	rm -rf build
	find . -iname '*.pyc' -delete

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		echo "=========== running tests with python$$pyvers ==========="; \
		python$$pyvers -m pytest ; \
	done
endif

## python-pyscss 1.3.5

=== debian/changelog ===
python-pyscss (1.3.5-3) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * Convert git repository from git-dpm to gbp layout
  * Drop Python 2 support.
  * Add patch to fix tests with Python 3 only.

 -- Ondřej Nový <onovy@debian.org>  Sun, 25 Aug 2019 09:35:21 +0200

python-pyscss (1.3.5-2) unstable; urgency=low

  * Remove new less2scss alternatives (Closes: #832343)
  * Fix binary/manpage name in postinst (Closes: #832341)
    (thanks to Andreas Beckmann for both reports)
  * Add authoring date to manpages

 -- W. Martin Borgert <debacle@debian.org>  Sun, 24 Jul 2016 21:54:19 +0000

python-pyscss (1.3.5-1) unstable; urgency=low

  [ Ondřej Nový <novy@ondrej.org> ]
  * Fixed VCS URL (https)

  [ W. Martin Borgert <debacle@debian.org> ]
  * Add deps on python{,3}-pkg-resources (Closes: #830289).
    Thanks to Tincho!
  * New upstream release

 -- W. Martin Borgert <debacle@debian.org>  Sat, 23 Jul 2016 10:52:36 +0000

=== debian/control ===
Source: python-pyscss
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>,
           Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9.20120909~),
               dh-python,
               docbook-xsl,
               libpcre3-dev,
               python3-all-dev,
               python3-pil,
               python3-pytest,
               python3-setuptools,
               python3-six,
               xsltproc
Standards-Version: 3.9.8
Homepage: https://github.com/Kronuz/pyScss
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyscss.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyscss

Package: python3-pyscss
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-pkg-resources
Description: SCSS compiler - Python 3.x
 pyScss compiles Scss (Sass), a superset of CSS that is more
 powerful, elegant and easier to maintain than plain-vanilla
 CSS. The library acts as a CSS source code preprocesor which
 allows you to use variables, nested rules, mixins, and have
 inheritance of rules, all with a CSS-compatible syntax which
 the preprocessor then compiles to standard CSS.
 .
 This package provides the Python 3.x module.

## python-pyscss 1.3.7

=== debian/changelog ===
python-pyscss (1.3.7-3) unstable; urgency=medium

  * Team upload.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Fix pytest 6 compatibility (Closes: #977092).

 -- Ondřej Nový <onovy@debian.org>  Sun, 17 Jan 2021 18:10:38 +0100

python-pyscss (1.3.7-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 13:37:34 +0200

python-pyscss (1.3.7-1) experimental; urgency=medium

  * New upstream release.
  * Ran wrap-and-sort -bastk.
  * Standards-Version: 4.5.0.
  * Switch to debhelper-compat (= 11).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 09:42:49 +0200

=== debian/control ===
Source: python-pyscss
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 W. Martin Borgert <debacle@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 docbook-xsl,
 libpcre3-dev,
 python3-all-dev,
 python3-pil,
 python3-pytest,
 python3-setuptools,
 python3-six,
 xsltproc,
Standards-Version: 4.5.0
Homepage: https://github.com/Kronuz/pyScss
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyscss.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyscss

Package: python3-pyscss
Architecture: any
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: SCSS compiler - Python 3.x
 pyScss compiles Scss (Sass), a superset of CSS that is more
 powerful, elegant and easier to maintain than plain-vanilla
 CSS. The library acts as a CSS source code preprocesor which
 allows you to use variables, nested rules, mixins, and have
 inheritance of rules, all with a CSS-compatible syntax which
 the preprocessor then compiles to standard CSS.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/Kronuz/pyScss.git
-include /usr/share/openstack-pkg-tools/pkgos.make

MANPAGES=pyscss.1 less2scss.1
DB2MAN=http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
XP=xsltproc --nonet --novalid

export PYBUILD_NAME=pyscss
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/scss/tests

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_install: $(MANPAGES)
	dh_install

pyscss.1: debian/pyscss.dbk
	$(XP) $(DB2MAN) $<

less2scss.1: debian/less2scss.dbk
	$(XP) $(DB2MAN) $<

override_dh_clean:
	dh_clean
	rm -f $(MANPAGES)
	rm -rf build
	find . -iname '*.pyc' -delete

## python-pyscss 1.4.0

=== debian/changelog ===
python-pyscss (1.4.0-5) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-pkg-resources (Closes: #1083696)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 05 Feb 2025 20:25:52 +0100

python-pyscss (1.4.0-4) unstable; urgency=medium

  * Team upload.
  * Test from root directory to pick up conftest.py
  * Drop unused lintian override

 -- Benjamin Drung <bdrung@debian.org>  Mon, 22 Apr 2024 11:14:39 +0200

python-pyscss (1.4.0-3) unstable; urgency=medium

  * Team Upload.
  * Patch: Python 3.11 support. (Closes: #1023951)
  * Migrate to PCRE2. (Closes: #999978)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 18 Nov 2022 18:41:15 +0200

python-pyscss (1.4.0-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS (Closes: #1022454)
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 27 Oct 2022 02:15:30 +0530

python-pyscss (1.4.0-1) unstable; urgency=medium

  * New upstream version.
  * Update copyright.
  * Bump debhelper-compat and add R³=no.
  * Remove outdated gbp.conf.
  * Remove obsolete patches, applied upstream:
    - fix-pytest6.patch
    - support-python-3.10.patch
    - python-3.10-c-api-port.patch

 -- Martin <debacle@debian.org>  Mon, 25 Apr 2022 20:13:44 +0000

python-pyscss (1.3.7-5) unstable; urgency=medium

  [ Athos Ribeiro ]
  * Team upload.
  * d/p/python-3.10-c-api-port.patch: Port C Python API related code to support
    Python 3.10

 -- Scott Talbert <swt@techie.net>  Thu, 11 Nov 2021 19:24:34 -0500

python-pyscss (1.3.7-4) unstable; urgency=medium

  [ Athos Ribeiro ]
  * Team upload.
  * d/p/support-python-3.10.patch: Add support for Python 3.10 (LP: #1950391)

 -- Scott Talbert <swt@techie.net>  Tue, 09 Nov 2021 21:54:00 -0500

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- W. Martin Borgert <debacle@debian.org>,
+ Martin <debacle@debian.org>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
  docbook-xsl,
- libpcre3-dev,
+ libpcre2-dev,
  python3-all-dev,
  python3-pil,
  python3-pytest,
  python3-setuptools,
  python3-six,
  xsltproc,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://github.com/Kronuz/pyScss
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyscss.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyscss
@@ -24,7 +25,6 @@
 Package: python3-pyscss
 Architecture: any
 Depends:
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 export PYBUILD_NAME=pyscss
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS={dir}/scss/tests
+export PYBUILD_TEST_ARGS={dir}
 
 %:
 	dh $@ --buildsystem=pybuild --with python3
